## org.jCharts.chartText
Class BarValueGroup

    java.lang.Object
      org.jCharts.chartText.BarValueGroup

    public class BarValueGroup

extends Object

Nested Class Summary
`protected class` `BarValueGroup.BarValue` Helper class to handle a barValue - wraps TextTag Meant to be called only by BarValueGroup class.

Field Summary
`private AxisChart` `axisChart`
`private AxisProperties` `axisProperties`
`private BarChartProperties` `barChartProperties`
`private Font` `barValueFont`
`private Paint` `barValueFontColor`
`private int` `barValueItem`
`private int` `barValuePosition`
`private float` `centerChart`
`private FontRenderContext` `fontRenderContext`
`private float` `horizontalPadding`
`private boolean` `isVertical`
`private NumberFormat` `numberFormat`
`private boolean` `showBarValues`
`private ArrayList` `textTagList`
`private double` `totalDataValue`
`private float` `verticalPadding`

Constructor Summary
`BarValueGroup(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet)`

Method Summary
`void` `addBarValue(int i, double dataValue, Rectangle2D.Float barRect)` Adds a bar value for the given data item, if barValues are on
`private String` `getBarValueAt(int i, double dataValue)` Gets the text associated (by the user) for the given bar value.
`private Rectangle2D.Float` `getBarValueRectangleCoordinates(int position, BarValueGroup.BarValue barValue)` Gets the rectangle coords associated (by the user) for the given bar value.
`private float` `getBottom(Rectangle2D.Float r)` Not sure why this was left out of Rectangle2D...
`private float` `getRight(Rectangle2D.Float r)` Not sure why this was left out of Rectangle2D...
`void` `render(Graphics2D g2d)` renders any barValues
`private void` `setBarValuePosition(BarValueGroup.BarValue barValue, Rectangle2D.Float bounds)` Gets the rectangle associated (by the user) for the given bar value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### axisChart

    private AxisChart axisChart

### fontRenderContext

    private FontRenderContext fontRenderContext

### isVertical

    private boolean isVertical

### barChartProperties

    private BarChartProperties barChartProperties

### axisProperties

    private AxisProperties axisProperties

### numberFormat

    private NumberFormat numberFormat

### showBarValues

    private boolean showBarValues

### barValuePosition

    private int barValuePosition

### barValueItem

    private int barValueItem

### barValueFont

    private Font barValueFont

### barValueFontColor

    private Paint barValueFontColor

### horizontalPadding

    private float horizontalPadding

### verticalPadding

    private float verticalPadding

### totalDataValue

    private double totalDataValue

### centerChart

    private float centerChart

### textTagList

    private ArrayList textTagList

Constructor Detail

### BarValueGroup

    public BarValueGroup(AxisChart axisChart,
                         IAxisChartDataSet iAxisChartDataSet)

Method Detail

### getBarValueAt

    private String getBarValueAt(int i,
                                 double dataValue)

  Gets the text associated (by the user) for the given bar value. Meant only to be called by BarChart.render()

### getBarValueRectangleCoordinates

    private Rectangle2D.Float getBarValueRectangleCoordinates(int position,
                                                              BarValueGroup.BarValue barValue)

  Gets the rectangle coords associated (by the user) for the given bar value. Meant only to be called by BarChart.render()

### getRight

    private float getRight(Rectangle2D.Float r)

  Not sure why this was left out of Rectangle2D...

### getBottom

    private float getBottom(Rectangle2D.Float r)

  Not sure why this was left out of Rectangle2D...

### setBarValuePosition

    private void setBarValuePosition(BarValueGroup.BarValue barValue,
                                     Rectangle2D.Float bounds)

  Gets the rectangle associated (by the user) for the given bar value. Meant only to be called by BarChart.render()

### addBarValue

    public void addBarValue(int i,
                            double dataValue,
                            Rectangle2D.Float barRect)

  Adds a bar value for the given data item, if barValues are on

### render

    public void render(Graphics2D g2d)

  renders any barValues